# Class BeanContextSupport.BCSIterator

java.lang.Object
java.beans.beancontext.BeanContextSupport.BCSIterator

All Implemented Interfaces:
  `Iterator<Object>`

Enclosing class:
  `BeanContextSupport`

protected static final class BeanContextSupport.BCSIterator extends Object implements Iterator<Object>
protected final subclass that encapsulates an iterator but implements a noop remove() method.

Since:
  1.2

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `hasNext()`
  Returns `true` if the iteration has more elements.
  `Object`
  `next()`
  Returns the next element in the iteration.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface Iterator

  `forEachRemaining, remove`

- ## Method Details

  - ### hasNext

    public boolean hasNext()
    Description copied from interface: `Iterator`
    Returns `true` if the iteration has more elements. (In other words, returns `true` if `Iterator.next()` would return an element rather than throwing an exception.)
    Specified by:
      `hasNext` in interface `Iterator<Object>`
    Returns:
      `true` if the iteration has more elements

  - ### next

    public Object next()
    Description copied from interface: `Iterator`
    Returns the next element in the iteration.
    Specified by:
      `next` in interface `Iterator<Object>`
    Returns:
      the next element in the iteration